FX30_firmware_flash_issues


#1

Hello ,

I try to flash the firmware "mcu-rmfw-boot-yocto-legato_wp85.cwe "in FX30, but I find the following problem:
root@fx30s:~# fwupdate download mcu-rmfw-boot-yocto-legato_wp85.cwe
Connecting to service …
Connecting to service …
Download started …
Error in download
root@fx30s:~# packet_write_wait: Connection to 192.168.2.2 port 22: Broken pipe
Any ideas as to what’s going on¿

Thanks,


#2

Is the device rebooting before the update can complete? Try opening an ssh session to the target and run logread -f before running the fwupdate command.


#3

Thank you for reply, in fact I found the following error when i execute logread , I do not know from where the error

Aug 28 19:18:29 fx30s user.err Legato: =ERR= | fwupdateDaemon[559]/le_pa_fwupdate T=main | pa_fwupdate_qmi.c CreateAndConfEpoll() 407 | epoll_ctl error Operation not permitted
Aug 28 19:18:29 fx30s user.err Legato: =ERR= | fwupdateDaemon[559]/le_pa_fwupdate T=main | pa_fwupdate_qmi.c pa_fwupdate_Download() 884 | epoll conf error
Aug 28 19:18:32 fx30s user.info Legato: INFO | avcCompat[556]/avcCompat T=main | avcCompat.c UpdateHandler() 81 | Received update status: 14


#4

Hiya,

You can’t use the stock WP85 CWE image on the FX30 due to underlying hardware differences.

Unfortunately, you can only use the images provided on the FX30 section of The Source website.

Which means that you’re still pinned to using Legato 16.10.1 on the FX30 at the moment.

ciao, Dave


#5

Hello ,

thank you for reply,
I used a specific firmware for FX30s "https://source.sierrawireless.com/resources/airlink/software_downloads/fx30-firmware/fx30-firmware/"
but the problem I find the following errors when I try the following command

fwupdate download mcu-rmfw-boot-yocto-legato_wp85.cwe
Connecting to service …
Connecting to service …
Download started …
Error in download

here is the configuration of my device FX30S

for the version of legation, I have the version 17.06, it does not pose any problem for update of the firmware
root@fx30s:~# legato version
17.06.0_aaf4ebd8a3fecefb1ccbc681a055cb43

root@fx30s:~# cm info all
Device: FX30S
IMEI: 353984080034687
IMEISV:
FSN: LL647501211510
Firmware: SWI9X15Y_07.11.22.00 r33729 CARMD-EV-FRMWR1 2017/01/11 18:04:06
Bootloader: SWI9X15Y_07.11.22.00 r33729 CARMD-EV-FRMWR1 2017/01/11 18:04:06
PRI PN: 9906770
PRI Rev: 01.00
Carrier PRI Name:
Carrier PRI Rev:
SKU: 1103232
MCU Version: 001.011

root@fx30s:~# cm info all
Device: FX30S
IMEI: 353984080034687
IMEISV:
FSN: LL647501211510
Firmware: SWI9X15Y_07.11.22.00 r33729 CARMD-EV-FRMWR1 2017/01/11 18:04:06
Bootloader: SWI9X15Y_07.11.22.00 r33729 CARMD-EV-FRMWR1 2017/01/11 18:04:06
PRI PN: 9906770
PRI Rev: 01.00
Carrier PRI Name:
Carrier PRI Rev:
SKU: 1103232
MCU Version: 001.011

Best Regards


#6

Hiya.

Bad news I’m afraid.

Legato versions 16.10.3 and newer are NOT compatible with the modem firmware (R13.1) that is available for the FX30 family, due to changes in the modem interface.

The following from the Modem firmware R14 release notes:

5.3.1 Legato AF / modem firmware incompatibility
As part of QTI9X1555-1057, some corrections were made to long standing issues with the QMI interface. This aligns the Sierra QMI response result codes with EM/MC74xx, WP76xx, and newer members of these product families. Our policy is generally to maintain backward compatibility with older modem images, but as a consequence of the fundamental nature of this change, Legato AF version 16.10.2 and older may not be combined with modem firmware version SWI9X15Y_07.12.xx or newer and Legato AF version 16.10.3 and newer may not be combined with modem firmware version SWI9X15Y_07.11.xx or older.

So for the time being unfortunately you’re stuck with using (like I am) Legato 16.10.1 when developing for the FX30.

ciao, Dave


#7

Hello,
Thank you ,
how i can change the legato version to version 16.10.1
Best Regards,


#8

FYI: It’s better to ask FX30 questions on the FX30 forum


#9

Hello Davidc ,

is what you have already worked with the BT driver (for FX30S)
I have installed the Util bluetooth application in my FX30S device, I want to know how I can do a scan of the devices BT, because the command “hcitool lescan” does not work, know the problem or not

thank you in advance